import { NgxSmzUiConfig } from '../../ngx-smz-ui.config';
import { SmzBuilderUtilities } from '../common/smz-builder-utilities';
import { SmzUiAuthenticationBuilder } from './authentication-builder';
import { LoginResponse } from '../../modules/rbk-utils/auth/models';
import { SmzGenericMenuBuilder } from '../smz-menu/generic-menu-builder';
export declare class SmzUiAuthenticationLoginBuilder extends SmzBuilderUtilities<SmzUiAuthenticationLoginBuilder> {
    private _builder;
    private _state;
    protected that: this;
    constructor(_builder: SmzUiAuthenticationBuilder, _state: NgxSmzUiConfig);
    overrideAuthenticationUrl(path?: string): SmzUiAuthenticationLoginBuilder;
    useSingleTenantAplication(tenant: string): SmzUiAuthenticationLoginBuilder;
    useWindowsAuthentication(): SmzUiAuthenticationLoginBuilder;
    forceLowercaseUsername(): SmzUiAuthenticationLoginBuilder;
    allowSuperuser(superuserName?: string, route?: string): SmzUiAuthenticationLoginBuilder;
    allowTenantSwitching(): SmzUiAuthenticationLoginBuilder;
    addToLoginPayload(property: string, value: string): SmzUiAuthenticationLoginBuilder;
    setMessage(message: string): SmzUiAuthenticationLoginBuilder;
    setLoginButtonLabel(label: string): SmzUiAuthenticationLoginBuilder;
    setExtraInfo(extraInfo: string): SmzUiAuthenticationLoginBuilder;
    setLogoType(type: 'horizontal' | 'vertical' | 'icon' | 'typo'): SmzUiAuthenticationLoginBuilder;
    useCustomLogo(imagePath: string): SmzUiAuthenticationLoginBuilder;
    setLogoSize(sizes: 'small' | 'medium' | 'large' | 'hero'): SmzUiAuthenticationLoginBuilder;
    setBackground(styleClass: string): SmzUiAuthenticationLoginBuilder;
    setCard(styleClass: string): SmzUiAuthenticationLoginBuilder;
    setRedirectCallback(callback: (response: LoginResponse) => void): SmzUiAuthenticationLoginBuilder;
    addButtons(): SmzGenericMenuBuilder<SmzUiAuthenticationLoginBuilder>;
    get authorization(): SmzUiAuthenticationBuilder;
}
